Name:		opendchub
Version:	0.8.3
Release:	19%{?dist}
Summary:	An Open Source Linux/Unix version of the hub software for Direct Connect

License:	GPLv2+
URL:		http://opendchub.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils::Embed), libcap-devel, automake, autoconf

%description
Opendchub is the hub software for Direct Connect P2P network.

%prep
%setup -q

autoreconf --install

touch -r configure \
 config.h.in \
 Makefile.in \
 aclocal.m4


%build
%configure --enable-switch_user
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"



%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO Samplescripts
%{_bindir}/opendchub


%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.3-18
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Björn Esser <besser82@fedoraproject.org> - 0.8.3-16
- Rebuilt for libcrypt.so.2 (#1666033)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.3-14
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 0.8.3-12
- Rebuilt for switch to libxcrypt

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.3-9
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.3-7
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.3-4
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.3-3
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 14 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.3-1
- 0.8.3 bump

* Thu Aug 14 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.2-10
- Updated format-security patch

* Mon Aug 04 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.2-9
- Fix format-security error

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Apr 10 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.2-2
- New relaese for opendchub

* Thu Apr 8 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.2-1
- New release with fix for buffer overflow

* Sat Jan 10 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-5
- Added automake to BR, fixed the autoheader issue

* Thu Jan 8 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-4
- Changed BR to include perl specific changes
- patch made for configure to remove directories created in $HOME

* Sun Jan 4 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-3
- Changed Group to a more appropriate one

* Sun Jan 4 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-2
- Removed glibc-devel and added perl-devel to BR and changed configure

* Sat Jan 3 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.8.1-1
- First RPM for opendchub
